var validationMsg = '';
var showValidation = false;

function pad(num)  //pad with leading zero if needed
{
    if (isNaN(num))
        return '0';
    if (num < 10)
        paddedNum = '0' + num;
    else
        paddedNum = num;
        
    return paddedNum;
}

function isReadOnly()
{
    var RO = document.getElementById('readOnlyFlag');
    if(null != RO && (RO.value == 'y' || RO.value == 'true'))
        return true;  //monitor view read-only situation
        
    return false;
}

function wellNameChange(prefix)
{
    var name = document.getElementById(prefix+'WellName').value;
    document.getElementById('pvWellName').value = name;
    document.getElementById('hdrWellName').innerHTML = name;
}

function wellNumChange(prefix)
{
    var name = document.getElementById(prefix+'WellNum').value;
    document.getElementById('pvWellNum').value = name;
    document.getElementById('hdrWellNum').innerHTML = name;
}

function setAdjudicator(fromPage)
{
    switch(fromPage)
    {
        case 'prelim':
            if (document.getElementById('preBLMOffice').selectedIndex > 0)
            {
                document.getElementById('pvFieldOfficeName').value = document.getElementById('preBLMOffice').options[document.getElementById('preBLMOffice').selectedIndex].text;
                setSelectedText('adjudicators', document.getElementById('preBLMOffice').value);
                setSelectedText('officers', document.getElementById('preBLMOffice').value);
                document.getElementById('BLMOfficeID').selectedIndex = document.getElementById('preBLMOffice').selectedIndex;       
                document.getElementById('pvAdjudicator').value = document.getElementById('adjudicators').options[document.getElementById('adjudicators').selectedIndex].value;
                document.getElementById('pvAuthOfficer').value = document.getElementById('officers').options[document.getElementById('officers').selectedIndex].value;
            }
            break;
        case 'app':
            if (document.getElementById('selBLMOffice').selectedIndex > 0)
            {
                document.getElementById('pvFieldOfficeName').value = document.getElementById('selBLMOffice').options[document.getElementById('selBLMOffice').selectedIndex].text;
                setSelectedText('adjudicators', document.getElementById('selBLMOffice').value);
                setSelectedText('officers', document.getElementById('selBLMOffice').value);
                document.getElementById('BLMOfficeID').selectedIndex = document.getElementById('selBLMOffice').selectedIndex;       
                document.getElementById('pvAdjudicator').value = document.getElementById('adjudicators').options[document.getElementById('adjudicators').selectedIndex].value;
                document.getElementById('pvAuthOfficer').value = document.getElementById('officers').options[document.getElementById('officers').selectedIndex].value;
            }
            break;
      }      
}

function prevPage()
{
    var curPage = document.getElementById('currentPage').value;
    var curSect = document.getElementById('currentSection').value;

    if (curPage > 1)
        setTarget(curSect, parseInt(curPage) - 1);
    else {
        switch(curSect)
        {
            case 'App':
                setTarget('Main', 3);
                setNavMenu('Main', 3);
                break;
            case 'SUPO':
                setTarget('DP', 1);
                setNavMenu('DP', 1);
                break;
            case 'DP':
                setTarget('App', 1);
                setNavMenu('App', 1);
                break;
            case 'PWD':
                setTarget('SUPO', 1);
                setNavMenu('SUPO', 1);
                break;
            case 'Main':
                setTarget('PWD', 1);
                setNavMenu('PWD', 1);
                break;
        }
    }
    sectionChange();
}

function nextPage()
{
    var curPage = document.getElementById('currentPage').value;
    var curSect = document.getElementById('currentSection').value;

    switch(curSect)
    {
        case 'App':
            if (curPage > 2) {
                setTarget('DP', 1);
                setNavMenu('DP', 1);
            }
            else
                setTarget(curSect, parseInt(curPage) + 1);
            break;
        case 'SUPO':
            if (curPage > 11) {
                setTarget('PWD', 1);
                setNavMenu('PWD', 1);
            }
            else
                setTarget(curSect, parseInt(curPage) + 1);
            break;
        case 'DP':
            if (curPage > 7) {
                setTarget('SUPO', 1);
                setNavMenu('SUPO', 1);
            }
            else
                setTarget(curSect, parseInt(curPage) + 1);
            break;
        case 'PWD':
            if (curPage > 5) {
                setTarget('Main', 1);
                setNavMenu('Main', 1);
            }
            else
                setTarget(curSect, parseInt(curPage) + 1);
            break;
        case 'Main':
            if (curPage > 2) {
                setTarget('App', 1);
                setNavMenu('App', 1);
            }
            else
                setTarget(curSect, parseInt(curPage) + 1);
            break;
    }
    sectionChange();
}

function setTarget(sectionName, pageNum)
{
    document.getElementById('targetSection').value = sectionName;
    document.getElementById('targetPage').value = pageNum;
}

function setCurrPage(sectName, pageNum)
{
    document.getElementById('currentPage').value = pageNum;
    document.getElementById('currentSection').value = sectName;
}

function resetTarget()  //for Nav bars - reset target if validation failed
{
    document.getElementById('targetSection').value = document.getElementById('currentSection').value;
    document.getElementById('targetPage').value = document.getElementById('currentPage').value;
}

//function to manage page changes.  Save current page data then display target page
function sectionChange()
{
    //hyf.util.showComponent(document.getElementById('ppg_Saving'));
    var curPage = document.getElementById('currentPage').value;
    var curSect = document.getElementById('currentSection').value;
    var targetPage = document.getElementById('targetPage').value;
    var targetSect = document.getElementById('targetSection').value;

    if(curSect == 'App') {  //special cases
        if(curPage == 3)  
            wellTableOnSave();
        else if(curPage == 2)  
            checkLegChange();
    }
        
    var pctComplete = validatePage(curSect, curPage);
        
    adjustNavBar(curSect, curPage, pctComplete);
    
    var evt = window.event;
    var sourceComponent = null;
    if ((evt != null) && (typeof(evt) != 'undefined'))
    {
        sourceComponent = (evt.target) ? evt.target : evt.srcElement;
        if (sourceComponent.nodeType == 3) // defeat Safari bug
        sourceComponent = sourceComponent.parentNode;
    }
    var objAction = {name: 'Action', option: 'Action', value: 'saveAPD_'+curSect+curPage+'.do'};
    var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent};
    var objSourceGroup = {name: 'SourceGroup', option: 'PageGroup', value: curSect+'Sect'+curPage};
    var objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppg_Saving'};
    var objValidate = {name: 'Validate', option: 'Static', value: 'false'};

    hyf.FMAction.handleAjaxSubmission(objAction, objSourceGroup, objTargetGroup, objValidate, objEventSource);
}

function loadTargetPage()
{
    var curPage = document.getElementById('currentPage').value;
    var curSect = document.getElementById('currentSection').value;
    var targetPage = document.getElementById('targetPage').value;
    var targetSect = document.getElementById('targetSection').value;
    var readOnly = document.getElementById('readOnlyFlag').value;
    
    setNavCurrent(curPage, curSect, targetPage, targetSect);
    
    $.post("bizflow/sessionPing.html");
    
    var evt = window.event;
    var sourceComponent = null;
    if ((evt != null) && (typeof(evt) != 'undefined'))
    {
        sourceComponent = (evt.target) ? evt.target : evt.srcElement;
        if (sourceComponent.nodeType == 3) // defeat Safari bug
        sourceComponent = sourceComponent.parentNode;
    }
    var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent};
    var objSourceGroup = {name: 'SourceGroup', option: 'PageGroup', value: 'navControl'}; //curSect+'Sect'+curPage};
    var objValidate = {name: 'Validate', option: 'Static', value: 'false'};

    if (targetSect == 'Main') {   //page change within Main
            objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppg_Main'};
            objAction = {name: 'Action', option: 'Action', value: 'loadAPD_'+targetSect+targetPage+'.do?readOnly='+readOnly};  //load the target page
            setNavMenu(targetSect, targetPage);
    }
    else {  //page change between sub-forms (or to/from Main)
        if (curSect != targetSect) { //change sub-forms on main nav bar
            objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppg_Main'};
            objAction = {name: 'Action', option: 'Action', value: 'loadAPD_'+targetSect+'.do?readOnly='+readOnly};  //call the "main" page of the sub-form
            setNavMenu(targetSect, targetPage);
        }
        else {  //page change within a sub-form (App, SUPO or DP) - Nav Menu does not change
            objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppg_'+curSect};
            objAction = {name: 'Action', option: 'Action', value: 'loadAPD_'+targetSect+targetPage+'.do?readOnly='+readOnly};  //load the target page of the sub-form
        }
    }

    hyf.FMAction.handleAjaxSubmission(objAction, objSourceGroup, objTargetGroup, objValidate, objEventSource);

    setCurrPage(targetSect, targetPage);
    hyf.util.hideComponent(document.getElementById('ppg_Saving'));
}

function setNavCurrent(cPg, cSec, tPg, tSec)
{

    if(tSec == 'Main')
        return;
        
    if(cSec == tSec && cPg != tPg) {  //remove "current" class from prior page
        var cObj = document.getElementById('Nav'+cPg+'Progress');
        if(cObj)
            dojo.removeClass(cObj, 'current');
    }
    var tObj = document.getElementById('Nav'+tPg+'Progress');
    if(tObj)
        dojo.addClass(tObj, 'current');       
}

function setNavMenu(section, page)
{
    var curPage = document.getElementById('currentPage').value;
    var curSect = document.getElementById('currentSection').value;

    dojo.removeClass(document.getElementById('APP'), 'current');
    dojo.removeClass(document.getElementById('DP'), 'current');
    dojo.removeClass(document.getElementById('SUPO'), 'current');
    dojo.removeClass(document.getElementById('BOND'), 'current');
    dojo.removeClass(document.getElementById('PWD'), 'current');
    dojo.removeClass(document.getElementById('CERT'), 'current');
    dojo.removeClass(document.getElementById('PAY'), 'current');
    
    dojo.removeClass(document.getElementById('APPgrp'), 'current_page');
    dojo.removeClass(document.getElementById('DPgrp'), 'current_page');
    dojo.removeClass(document.getElementById('SUPOgrp'), 'current_page');
    dojo.removeClass(document.getElementById('BONDgrp'), 'current_page');
    dojo.removeClass(document.getElementById('PWDgrp'), 'current_page');
    dojo.removeClass(document.getElementById('CERTgrp'), 'current_page');
    dojo.removeClass(document.getElementById('PAYgrp'), 'current_page');
    
    setProgressStatus(curSect,curPage);  //reset progress indicator for current section

    switch(section)
    {
        case 'App':
            dojo.addClass(document.getElementById('APP'), 'current');
            dojo.addClass(document.getElementById('APPgrp'), 'current_page');
            break;
        case 'DP':
            dojo.addClass(document.getElementById('DP'), 'current');
            dojo.addClass(document.getElementById('DPgrp'), 'current_page');
            break;
        case 'SUPO':
            dojo.addClass(document.getElementById('SUPO'), 'current');
            dojo.addClass(document.getElementById('SUPOgrp'), 'current_page');
            break;
        case 'PWD':
            dojo.addClass(document.getElementById('PWD'), 'current');
            dojo.addClass(document.getElementById('PWDgrp'), 'current_page');
            break;
        case 'Main':
            switch(page)
            {
                case '1':
                    dojo.addClass(document.getElementById('BOND'), 'current');
                    dojo.addClass(document.getElementById('BONDgrp'), 'current_page');
                    break;
                case '2':
                    dojo.addClass(document.getElementById('CERT'), 'current');
                    dojo.addClass(document.getElementById('CERTgrp'), 'current_page');
                    break;
                case '3':
                    dojo.addClass(document.getElementById('PAY'), 'current');
                    dojo.addClass(document.getElementById('PAYgrp'), 'current_page');
                    break;
            }
            break;
    }
}

function setProgressStatus(section, page)
{
    var pct;
    var grp;
    switch(section)
    {
        case 'App':
        case 'DP':
        case 'SUPO':
        case 'PWD':
            pct = parseInt(document.getElementById(section+'Total').value);
            grp = section.toUpperCase();
            break;
        case 'Main':
            switch(page)
            {
                case '1':
                    pct = parseInt(document.getElementById('BondTotal').value); 
                    grp = 'BOND';
                    break;
                case '2':
                    pct = parseInt(document.getElementById('CertTotal').value);
                    grp = 'CERT';
                    break;
                case '3':
                    pct = parseInt(document.getElementById('PayTotal').value);
                    grp = 'PAY';
                    break;
            }
            break;
    }
    dojo.removeClass(document.getElementById(grp), 'not_started');
    dojo.removeClass(document.getElementById(grp), 'not_done');
    dojo.removeClass(document.getElementById(grp), 'done');
    
    var toClass = 'not_started';
    if(pct > 0)
        toClass = 'not_done';
    if(pct == 100)
        toClass = 'done';
    
    dojo.addClass(document.getElementById(grp), toClass);

}

function validateCurrentPage()
{
    var curPage = document.getElementById('currentPage').value;
    var curSect = document.getElementById('currentSection').value;
    showValidation = true;
    var pct = validatePage(curSect, curPage);
    adjustNavBar(curSect, curPage, pct);
}

function validatePage(section, page)
{
    var completePct = 0.0;
    validationMsg = '';
    switch (section)
    {
    case 'Main':
        completePct = validateMain(page); //functions in APDMain.js
        break;  
    case 'App':
        completePct = validateApp(page);  //functions in App.js
        break;  
    case 'DP':
        completePct = validateDP(page);   //functions in DP.js
        break;  
    case 'SUPO':
        completePct = validateSUPO(page); //functions in SUPO.js
        break;  
    case 'PWD':
        completePct = validatePWD(page); //functions in PWD.js
        break;  
    }
    if (showValidation)
    {
        if(completePct < 1.0)
            alert('The following required fields are not yet completed:'+validationMsg);
        else
            alert('All required data on this page is present');
        showValidation = false;
    }
    return completePct;
}


//function to update nav bar and nav pane pct complete after each page update (or validation)
function adjustNavBar(section, pageNum, pctComp)
{
    var sPct = document.getElementById('sectionPct');
    var pPct = document.getElementById('pagePct');
    if(pPct != null)
        pPct.value = pctComp;
        
    if (section == 'Main') {
        var pctTotal = parseInt(parseFloat(pctComp)*100) + ' %';
        sPct.value = pctTotal;
        switch(pageNum)
        {
            case '1':
                document.getElementById('bondPct').innerHTML = pctTotal;
                document.getElementById('BondTotal').value =  pctTotal;
                break;
            case '2':
                document.getElementById('certPct').innerHTML =  pctTotal;
                document.getElementById('CertTotal').value =   pctTotal;
                break;
            case '3':
                document.getElementById('payPct').innerHTML =  pctTotal;
                document.getElementById('PayTotal').value =  pctTotal;
                break;
        }
        return;
    }

    //update the section of the nav bar with appropriate color
    setNavStatus(pageNum, pctComp);
    //save pct to process var
    var pvObj = document.getElementById(section+pageNum+'Pct');
    pvObj.value = pctComp;


    //compute overall % for entire section and post to nav pane
    var sectComplete = 0.0;
    var sectPct = '';
    switch(section)
    {
        case 'App':
            sectComplete = sumPages(3)
            sectPct = parseInt((sectComplete/3.0)*100) + ' %';
            sPct.value = sectPct;
            document.getElementById('appPct').innerHTML = sectPct;
            document.getElementById('AppTotal').value= sectPct;
            break;
        case 'DP':
            sectComplete = sumPages(8)
            sectPct = parseInt((sectComplete/8.0)*100) + ' %';
            sPct.value = sectPct;
            document.getElementById('DPPct').innerHTML = sectPct;
            document.getElementById('DPTotal').value= sectPct;
            break;
        case 'SUPO':
            sectComplete = sumPages(12)
            sectPct = parseInt((sectComplete/12.0)*100) + ' %';
            sPct.value = sectPct;
            document.getElementById('SUPOPct').innerHTML = sectPct;
            document.getElementById('SUPOTotal').value= sectPct;
           break;
        case 'PWD':
            sectComplete = sumPages(6)
            sectPct = parseInt((sectComplete/6.0)*100) + ' %';
            sPct.value = sectPct;
            document.getElementById('PWDPct').innerHTML = sectPct;
            document.getElementById('PWDTotal').value= sectPct;
            break;
    }
}

function sumPages(num)
{
    var sectComplete = 0.0;
    for (i=1; i<=num; i++)
    {
        navObj = document.getElementById('Nav'+i+'Progress');
        if(dojo.hasClass(navObj, 'not_done'))
            sectComplete += .5;
        else
            if (dojo.hasClass(navObj, 'done'))
                sectComplete += 1.0;
    }
    return sectComplete;
}

//function to set nav bar color based on pct complete for page
function setNavStatus(pageNum, pctComp)
{
    var navObj = document.getElementById('Nav'+pageNum+'Progress');
    dojo.removeClass(navObj, 'not_started');
    dojo.removeClass(navObj, 'not_done');
    dojo.removeClass(navObj, 'current');
    dojo.removeClass(navObj, 'done');
    if (pctComp >= 1.0)
        dojo.addClass(navObj, 'done');
    else
        if (pctComp <= 0.0)
            dojo.addClass(navObj, 'not_started');
        else
            dojo.addClass(navObj, 'not_done');
}


//function to initialize nav bar colors based on 
//process vars holding pct complete for each page
function setCompletionStatus(section)
{
    var pages;
    var pct;
    switch(section)
    {
        case 'App':
            pages = 3;
            break;
        case 'DP':
            pages = 8;
            break;
        case 'SUPO':
            pages = 12;
            break;
        case 'PWD':
            pages = 6;
            break;
    }
    for(i=1; i<=pages; i++)
    {
        pct = document.getElementById(section+i+'Pct').value;
        setNavStatus(i, pct);
    }
}