function validateDP(pageNum)
{
    var pctCompleted = 0.0;
    var missingFields = 0;
    var fieldCount = 1;
    switch (pageNum)
    {
    case '1':
        var i=1;
        var repeat = 'repeatFormations';
        var rowObj = document.getElementById(repeat+i+'oFormName');
        if (rowObj == null) {
            validationMsg = validationMsg + '\n   '+'At least one formation must be entered';
            missingFields++;
        }
        while(rowObj != null)  //validate each row that was entered
        {
            fieldCount+=8;
            if(!validateOutputText(repeat+i+'oRowID', 'Row '+i+' ID')) missingFields++;
            if(!validateOutputText(repeat+i+'oFormName', 'Row '+i+' Name')) missingFields++;
            if(!validateOutputText(repeat+i+'oLithology', 'Row '+i+' Lithology')) missingFields++;
            if(!validateOutputText(repeat+i+'oElevation', 'Row '+i+' Elevation')) missingFields++;
            if(!validateOutputText(repeat+i+'oTVD', 'Row '+i+' TVD')) missingFields++;
            if(!validateOutputText(repeat+i+'oMD', 'Row '+i+' MD')) missingFields++;
            if(!validateOutputText(repeat+i+'oMineral', 'Row '+i+' Mineral resource')) missingFields++;
            if(!validateRadio(repeat+i+'oProdFormation', 'Row '+i+'Producing formation?')) missingFields++;
            i++;
            rowObj = document.getElementById(repeat+i+'oFormName');
        }
        break;
    case '2':
        fieldCount = 4;
        if(!validateSelect('selBPPressure', 'Pressure Rating')) missingFields++;
        if(!validateText('txtBlowoutEquip', 'Equipment')) missingFields++;
        if(!validateRadio('rbReqVariance', 'Requesting Variance?')) missingFields++;
        if(getRadioCheckedValue('rbReqVariance') == 'Y') {
            fieldCount++;
            if(!validateText('txtVarianceRequest', 'Variance Request')) missingFields++;
        }
        if(!validateText('txtTestProcedure', 'Testing Procedure')) missingFields++;
        if(!validateText('txtBlowoutPreventer', 'Diagram')) missingFields++;
        break;
    case '3':
        var i=1;
        var repeat = 'casings_repeat';
        var rowObj = document.getElementById(repeat+i+'oStringType');
        if (rowObj == null) {
            validationMsg = validationMsg + '\n   '+'At least one casing must be entered';
            missingFields++;
        }
        while(rowObj != null)  //validate each row that was entered
        {
            fieldCount+=18;
            if(!validateOutputText(repeat+i+'oStringType', 'Row '+i+' String type')) missingFields++;
            if(!validateOutputText(repeat+i+'oHoleSize', 'Row '+i+' Hole size')) missingFields++;
            if(!validateOutputText(repeat+i+'oTopMD', 'Row '+i+' Top setting depth MD')) missingFields++;
            if(!validateOutputText(repeat+i+'oTopTVD', 'Row '+i+' Top setting depth TVD')) missingFields++;
            if(!validateOutputText(repeat+i+'oBottomMD', 'Row '+i+' Bottom setting depth MD')) missingFields++;
            if(!validateOutputText(repeat+i+'oBottomTVD', 'Row '+i+' Bottom setting depth TVD')) missingFields++;
            if(!validateOutputText(repeat+i+'oCasingSize', 'Row '+i+' Casing size')) missingFields++;
            if(!validateOutputText(repeat+i+'oCasingGrade', 'Row '+i+' Casing grade')) missingFields++;
            if(!validateOutputText(repeat+i+'oWeight', 'Row '+i+' Weight')) missingFields++;
            if(!validateOutputText(repeat+i+'oJoint', 'Row '+i+' Joint type')) missingFields++;
            if(!validateRadio(repeat+i+'rbCondition', 'Condition')) missingFields++;
            if(getRadioCheckedValue(repeat+i+'rbCondition') == 'USED') {
                fieldCount++;
                if(!validateText(repeat+i+'txtConditionDoc', 'Row '+i+' Inspection document')) missingFields++;
            }
            if(!validateRadio(repeat+i+'rbStandard', 'Standard')) missingFields++;
            if(getRadioCheckedValue(repeat+i+'rbCondition') == 'NONAPI') {
                fieldCount++;
                if(!validateText(repeat+i+'txtStandardDoc', 'Row '+i+' Spec document')) missingFields++;
            }
            if(!validateOutputText(repeat+i+'oCollapseSF', 'Row '+i+' Collapse design safety factor')) missingFields++;
            if(parseFloat(getOutputValue(repeat+i+'oCollapseSF')) < 1.125) {
                fieldCount++;
                if(!validateText(repeat+i+'oCollapseCalc', 'Row '+i+' Collapse design safety factor calculation')) missingFields++;
            }
            if(!validateOutputText(repeat+i+'oBurstSF', 'Row '+i+'  Burst design safety factor')) missingFields++;
            if(parseFloat(getOutputValue(repeat+i+'oBurstSF')) < 1.0) {
                fieldCount++;
                if(!validateText(repeat+i+'oBurstCalc', 'Row '+i+' Burst design safety factor calculation')) missingFields++;
            }
            if(!validateRadio(repeat+i+'rbJointSF', 'Row '+i+' Joint safety factor type')) missingFields++;
            if(!validateOutputText(repeat+i+'oJointSF', 'Row '+i+'  Joint design safety factor')) missingFields++;
            if((parseFloat(getOutputValue(repeat+i+'oJointSF')) < 1.6 && getRadioCheckedValue(repeat+i+'rbJointSF')=='DRY') ||
               (parseFloat(getOutputValue(repeat+i+'oJointSF')) < 1.8 && getRadioCheckedValue(repeat+i+'rbJointSF')=='BUOYANT')) {
                fieldCount++;
                if(!validateText(repeat+i+'oJointCalc', 'Row '+i+' Joint design safety factor calculation')) missingFields++;
            }
            if(!validateRadio(repeat+i+'rbBodySF', 'Row '+i+' Body safety factor type')) missingFields++;
            if(!validateOutputText(repeat+i+'oBodySF', 'Row '+i+'  Body design safety factor')) missingFields++;
            if((parseFloat(getOutputValue(repeat+i+'oBodySF')) < 1.6 && getRadioCheckedValue(repeat+i+'rbBodySF')=='DRY') ||
               (parseFloat(getOutputValue(repeat+i+'oBodySF')) < 1.8 && getRadioCheckedValue(repeat+i+'rbBodySF')=='BUOYANT')) {
                fieldCount++;
                if(!validateText(repeat+i+'oBodyCalc', 'Row '+i+' Body design safety factor calculation')) missingFields++;
            }
            i++;
            rowObj = document.getElementById(repeat+i+'oStringType');
        }
        break;
    case '4':
        var i=1;
        var repeat = 'cementRepeat';
        var rowObj = document.getElementById(repeat+i+'oTopMD');
        if (rowObj == null) {
            validationMsg = validationMsg + '\n   '+'Add a casing to generate at least one cement table entry';
            missingFields++;
        }
        while(rowObj != null)  //validate each row that was entered
        {
            fieldCount+=8;
            if(!validateOutputText(repeat+i+'oTopMD', 'Row '+i+' Top MD')) missingFields++;
            if(!validateOutputText(repeat+i+'oBottomMD', 'Row '+i+' Bottom MD')) missingFields++;
            if(!validateOutputText(repeat+i+'oCementType', 'Row '+i+' Cement type')) missingFields++;
            if(!validateOutputText(repeat+i+'oAdditives', 'Row '+i+' Additives')) missingFields++;
            if(!validateOutputText(repeat+i+'oQuantitySKS', 'Row '+i+' Quantity')) missingFields++;
            if(!validateOutputText(repeat+i+'oYield', 'Row '+i+' Yield')) missingFields++;
            if(!validateOutputText(repeat+i+'oDensity', 'Row '+i+' Density')) missingFields++;
            if(!validateOutputText(repeat+i+'oVolume', 'Row '+i+' Volume')) missingFields++;
            i++;
            rowObj = document.getElementById(repeat+i+'oTopMD');
        }
        break;
    case '5':
        fieldCount=5;
        if(!validateRadio('MUD_SYS_TY', 'Mud system type')) missingFields++;
        if(!validateText('WELL_CNTL_MIT_MECH', 'Describe what will be on location to control well or mitigate other conditions')) missingFields++;
        if(!validateText('MUD_MNTR_SYS_USED', 'Describe mud monitoring system')) missingFields++;
        if(!validateRadio('USE_OF_AIR_OR_GAS_SYS', 'Will an air or gas system be used?')) missingFields++;
        if(getRadioCheckedValue('USE_OF_AIR_OR_GAS_SYS') == 'YES') {
            fieldCount+=2;
            if(!validateText('AIR_OR_GAS_EQPMNT_DESC', 'Description of the equipment for the circulating system')) missingFields++;
            if(!validateText('txtAirOrGasDiagram', 'Diagram of the equipment for the circulating system')) missingFields++;
        }
        var i=1;
        var repeat = 'repeat_MudTable';
        var rowObj = document.getElementById(repeat+i+'oTopDepth');
        if (rowObj == null) {
            validationMsg = validationMsg + '\n   '+'At least one Circulating Medium table entry is required';
            missingFields++;
        }
        while(rowObj != null)  //validate each row that was entered
        {
            fieldCount+=6;
            if(!validateOutputText(repeat+i+'oTopDepth', 'Row '+i+' Top depth')) missingFields++;
            if(!validateOutputText(repeat+i+'oBottomDepth', 'Row '+i+' Bottom depth')) missingFields++;
            if(!validateOutputText(repeat+i+'oMudType', 'Row '+i+' Mud type')) missingFields++;
            if(!validateOutputText(repeat+i+'oMinWeight', 'Row '+i+' Min weight')) missingFields++;
            if(!validateOutputText(repeat+i+'oMaxWeight', 'Row '+i+' Max weight')) missingFields++;
            if(!validateOutputText(repeat+i+'oCharacteristics', 'Row '+i+' Characteristics')) missingFields++;
            i++;
            rowObj = document.getElementById(repeat+i+'oTopDepth');
        }
        break;
    case '6':
        fieldCount = 3;
        if(!validateText('txtProdTests', 'List of production tests')) missingFields++;
        if(!validateText('txtHoleLogs', 'List of open and cased hole logs')) missingFields++;
        if(!validateText('txtCoring', 'Coring operation description')) missingFields++;
        break;
    case '7':
        fieldCount = 4;
        if(!validateText('numBHP', 'Bottom Hole Pressure')) missingFields++;
        if(!validateRadio('rbAbnormalPressure', 'Anticipated abnormal pressures, temperatures, or potential geologic hazards?')) missingFields++;
        if(getRadioCheckedValue('rbAbnormalPressure') == 'YES') {
            fieldCount++;
            if(!validateText('txtAbnormal', 'Describe anticipated abnormal pressures, temperatures, etc.')) missingFields++;
        }
        if(!validateTextOrDoc('txtGeoContingency', 'txtGeohazardContingency', 'Contingency Plans geohazard description (or attachment)')) missingFields++;
        if(!validateRadio('rbH2S', 'Hydrogen sulfide drilling operations plan required?')) missingFields++;
        if(getRadioCheckedValue('rbH2S') == 'YES') {
            fieldCount++;
            if(!validateText('txtH2SDrillingPlan', 'Hydrogen sulfide drilling operations plan')) missingFields++;
        }
        break;
    case '8':
        fieldCount = 1;
        var wClass = getRadioCheckedValue('rbWellClass');
        if (wClass == '2' || wClass == '3' || wClass == '4' || wClass == '5' || wClass == '6') {
            fieldCount++;
            if(!validateText('txtDirectionalPlan', 'Proposed horizontal/directional/multi-lateral plan submission')) missingFields++;
        }
        if(!validateTextOrDoc('txtOtherFacets', 'txtOtherDPFacets', 'Other proposed operations facets')) missingFields++;
        break;
    }
    pctCompleted = parseFloat((fieldCount-missingFields)/fieldCount);
    return pctCompleted;
}

function setDPDocPaths(tabName)
{
    var i=1;
    switch(tabName)
    {
        case 'Casings':
            var repeatName = 'casings_repeat';
            var rowObj = document.getElementById(repeatName+i+'oStringType');
            while(rowObj != null)  //setup file links for each row 
            {
                setRepeatFilePath('ConditionDoc', repeatName+i);
                setRepeatFilePath('StandardDoc', repeatName+i);
                i++;
                rowObj = document.getElementById(repeatName+i+'oStringType');
            }
            break;
    }
}

function countFormationEntries()
{
    var repeatName = 'repeatFormations';
    var formCount=1;
    var rowObj = document.getElementById(repeatName+formCount+'oFormName');
    while(rowObj != null) 
    {
        formCount++;
        rowObj = document.getElementById(repeatName+formCount+'oFormName');
    }
    formCount--;
    document.getElementById('formationCount').value = formCount;
}

function setFormationID()
{
    var formCount = document.getElementById('formationCount').value;
    var formID = '';
    if (formCount == 0) 
        formID = 'Surface formation';
    else
        formID = 'Formation '+formCount;
        
    document.getElementById('popRowID').value = formID;
}
function deleteFormation(repeatID)
{
    if(confirm('Are you sure you want to delete this row?'))  {
        document.getElementById('delAction').value = 'Delete';
        document.getElementById('delDPFormID').value = document.getElementById(repeatID+'oDPFormID').value;
        document.getElementById('delDPID').value = document.getElementById(repeatID+'oDPID').value;
        var evt = window.event;
        var sourceComponent = null;
        if ((evt != null) && (typeof(evt) != 'undefined'))
        {
            sourceComponent = (evt.target) ? evt.target : evt.srcElement;
            if (sourceComponent.nodeType == 3) // defeat Safari bug
            sourceComponent = sourceComponent.parentNode;
        }
        var objAction = {name: 'Action', option: 'Action', value: 'loadFormations.do'};
        var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent};
        var objSourceGroup = {name: 'SourceGroup', option: 'PageGroup', value: 'deleteGroup'};
        var objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppgFormationTable'};
        var objValidate = {name: 'Validate', option: 'Static', value: 'false'};

        hyf.FMAction.handleAjaxSubmission(objAction, objSourceGroup, objTargetGroup, objValidate, objEventSource);
    }
}

function updateFormation(repeatID)  //copy data from selected row to popup dialog fields
{   
    document.getElementById('tabFormAction').value = 'Update';
    setSelect('popFormName', document.getElementById(repeatID+'oFormID').value);
    setSelect('popLithology', document.getElementById(repeatID+'oLithID').value);
    popLithologyonchange();
    document.getElementById('popLithOther').value = getOutputValue(repeatID+'oLithOther');
    document.getElementById('popRowID').value = getOutputValue(repeatID+'oRowID');
    document.getElementById('popElevation').value = getOutputValue(repeatID+'oElevation');
    document.getElementById('popTVD').value = getOutputValue(repeatID+'oTVD');
    document.getElementById('popMD').value = getOutputValue(repeatID+'oMD');
    setSelect('popMineral', document.getElementById(repeatID+'oMinID').value);
    popMineralonchange();
    document.getElementById('popMinOther').value = getOutputValue(repeatID+'oMinOther');
    document.getElementById('popDPID').value = document.getElementById(repeatID+'oDPID').value;
    document.getElementById('popFormID').value = document.getElementById(repeatID+'oDPFormID').value;
    setRadioCheckedValue('popProdFormation', getRadioCheckedValue(repeatID+'oProdFormation'));
}

function setSurfaceDepths()
{
    document.getElementById('popTopMD').value = 0;
    document.getElementById('popTopMD').disabled = true;
    popTopMDonchange();
    document.getElementById('popTopTVD').value = 0;
    document.getElementById('popTopTVD').disabled = true;
    popTopTVDonchange();
}

function computeLength(measure)
{
    var top = document.getElementById('popTop'+measure).value;
    var bottom = document.getElementById('popBottom'+measure).value;
    
    top = (isNaN(top) ? 0 : top);
    bottom = (isNaN(bottom) ? 0 : bottom);
    var length = Math.abs(bottom - top);  //abs() in case bottom and top are negative

    document.getElementById('Length'+measure).innerHTML = length;
    document.getElementById('popLength'+measure).value = length;
}

function computeMSL(loc)
{
    var TVD = document.getElementById('pop'+loc+'TVD').value;
    TVD = (isNaN(TVD) ? 0 : TVD);
    var elevation = document.getElementById('surfaceElevation').value;
    elevation = (isNaN(elevation) ? 0 : elevation);

    var MSL = elevation - TVD;

    document.getElementById('pop'+loc+'MSL').value = MSL;
    document.getElementById(loc+'MSL').innerHTML = MSL;
    computeLength('MSL');
}

function updateCasing(repeatID)  //function to copy casing row to popup dialog fields for editing
{
    document.getElementById('tabFormAction').value = 'Update';
    setSelect('popStringType', document.getElementById(repeatID+'oStringTypeID').value);
    if(document.getElementById(repeatID+'oStringTypeID').value == document.getElementById('StringSurface').value) {
        document.getElementById('popTopMD').disabled = true;
        document.getElementById('popTopTVD').disabled = true;
    }
    document.getElementById('popStringTypeOther').value = getOutputValue(repeatID+'oStringName');
    document.getElementById('popHoleSize').value = getOutputValue(repeatID+'oHoleSize');
    document.getElementById('popTopMD').value = getOutputValue(repeatID+'oTopMD');
    document.getElementById('popTopTVD').value = getOutputValue(repeatID+'oTopTVD');
    document.getElementById('popTopMSL').value = getOutputValue(repeatID+'oTopMSL');
    document.getElementById('TopMSL').innerHTML = getOutputValue(repeatID+'oTopMSL');
    document.getElementById('popBottomMD').value = getOutputValue(repeatID+'oBottomMD');
    document.getElementById('popBottomTVD').value = getOutputValue(repeatID+'oBottomTVD');
    document.getElementById('popBottomMSL').value = getOutputValue(repeatID+'oBottomMSL');
    document.getElementById('BottomMSL').innerHTML = getOutputValue(repeatID+'oBottomMSL');
    document.getElementById('popLengthMD').value = getOutputValue(repeatID+'oCasingLengthMD');
    document.getElementById('LengthMD').innerHTML = getOutputValue(repeatID+'oCasingLengthMD');
    document.getElementById('popLengthTVD').value = getOutputValue(repeatID+'oCasingLengthTVD');
    document.getElementById('LengthTVD').innerHTML = getOutputValue(repeatID+'oCasingLengthTVD');
    document.getElementById('popLengthMSL').value = getOutputValue(repeatID+'oCasingLengthMSL');
    document.getElementById('LengthMSL').innerHTML = getOutputValue(repeatID+'oCasingLengthMSL');
    setSelect('popCasingSize', document.getElementById(repeatID+'oSizeID').value);
    popCasingSizeonchange();
    document.getElementById('popSizeOther').value = getOutputValue(repeatID+'oCasingSizeOther');
    setSelect('popCasingGrade', document.getElementById(repeatID+'oGradeID').value);
    popCasingGradeonchange();
    document.getElementById('popGradeOther').value = getOutputValue(repeatID+'oGradeOther');
    document.getElementById('popWeight').value = getOutputValue(repeatID+'oWeight');
    setSelect('popJoint', document.getElementById(repeatID+'oJointID').value);
    popJointonchange();
    document.getElementById('popJointOther').value = getOutputValue(repeatID+'oJointOther');
    setRadioCheckedValue('popCondition', getRadioCheckedValue(repeatID+'rbCondition'));
    if(getRadioCheckedValue(repeatID+'rbCondition') == 'USED')
        hyf.util.showComponent(document.getElementById('layoutCondition'));
    document.getElementById('txtUsedCasingInspection').value = document.getElementById(repeatID+'txtConditionDoc').value;
    setFilePath('UsedCasingInspection');
    setRadioCheckedValue('popStandard', getRadioCheckedValue(repeatID+'rbStandard'));
    if(getRadioCheckedValue(repeatID+'rbStandard') == 'NONAPI')
        hyf.util.showComponent(document.getElementById('layoutStandard'));
    document.getElementById('txtCasingSpecDocument').value = document.getElementById(repeatID+'txtStandardDoc').value;
    setFilePath('CasingSpecDocument');
    document.getElementById('popCollapseSF').value = getOutputValue(repeatID+'oCollapseSF');
    document.getElementById('popCollapseCalc').value = getOutputValue(repeatID+'oCollapseCalc');
    document.getElementById('popBurstSF').value = getOutputValue(repeatID+'oBurstSF');
    document.getElementById('popBurstCalc').value = getOutputValue(repeatID+'oBurstCalc');
    setRadioCheckedValue('popJointSFType', getRadioCheckedValue(repeatID+'rbJointSF'));
    document.getElementById('popJointSF').value = getOutputValue(repeatID+'oJointSF');
    document.getElementById('popJointCalc').value = document.getElementById(repeatID+'oJointCalc').value;
    setRadioCheckedValue('popBodySFType', getRadioCheckedValue(repeatID+'rbBodySF'));
    document.getElementById('popBodySF').value = getOutputValue(repeatID+'oBodySF');
    document.getElementById('popBodyCalc').value = document.getElementById(repeatID+'oBodyCalc').value;
    document.getElementById('popDPID').value = document.getElementById(repeatID+'oDPID').value;
    document.getElementById('popCasingID').value = document.getElementById(repeatID+'oCasingID').value;
}

function deleteCasing(repeatID)
{
    if(confirm('Are you sure you want to delete this row?'))  {
        document.getElementById('delAction').value = 'Delete';
        document.getElementById('delCasingID').value = document.getElementById(repeatID+'oCasingID').value;
        document.getElementById('delDP_ID').value = document.getElementById(repeatID+'oDPID').value;
        var evt = window.event;
        var sourceComponent = null;
        if ((evt != null) && (typeof(evt) != 'undefined'))
        {
            sourceComponent = (evt.target) ? evt.target : evt.srcElement;
            if (sourceComponent.nodeType == 3) // defeat Safari bug
            sourceComponent = sourceComponent.parentNode;
        }
        var objAction = {name: 'Action', option: 'Action', value: 'loadCasings.do'};
        var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent};
        var objSourceGroup = {name: 'SourceGroup', option: 'PageGroup', value: 'deleteGroup'};
        var objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppgCasingTable'};
        var objValidate = {name: 'Validate', option: 'Static', value: 'false'};

        hyf.FMAction.handleAjaxSubmission(objAction, objSourceGroup, objTargetGroup, objValidate, objEventSource);
    }
}

function updateCement(repeatID)
{
    document.getElementById('tabAction').value = 'Update';
    document.getElementById('popStringType').innerHTML = getOutputValue(repeatID+'oStringType');
    document.getElementById('popTopMD').value = getOutputValue(repeatID+'oTopMD');
    document.getElementById('popBottomMD').value = getOutputValue(repeatID+'oBottomMD');
    document.getElementById('popCementType').value = getOutputValue(repeatID+'oCementType');
    document.getElementById('popAdditives').value = getOutputValue(repeatID+'oAdditives');
    document.getElementById('popQuantitySKS').value = getOutputValue(repeatID+'oQuantitySKS');
    document.getElementById('popYield').value = getOutputValue(repeatID+'oYield');
    document.getElementById('popDensity').value = getOutputValue(repeatID+'oDensity');
    document.getElementById('popVolume').value = getOutputValue(repeatID+'oVolume');
    document.getElementById('popDepthDV').value = getOutputValue(repeatID+'oDepthDV');
    document.getElementById('popDPID').value = document.getElementById(repeatID+'oDPID').value;
    document.getElementById('popCementID').value = document.getElementById(repeatID+'oCasingID').value;
}

function updateMud(repeatID)
{
    //document.getElementById('tabAction').value = 'Update';
    document.getElementById('popTopDepth').value = getOutputValue(repeatID+'oTopDepth');
    document.getElementById('popBottomDepth').value = getOutputValue(repeatID+'oBottomDepth');
    document.getElementById('popMudType').value = getOutputValue(repeatID+'oMudType');
    document.getElementById('popMinWeight').value = getOutputValue(repeatID+'oMinWeight');
    document.getElementById('popMaxWeight').value = getOutputValue(repeatID+'oMaxWeight');
    document.getElementById('popCharacteristics').value = getOutputValue(repeatID+'oCharacteristics');
    document.getElementById('popCircMedID').value = document.getElementById(repeatID+'CIRC_MED_ID').value;
}

function deleteMud(repeatID)
{
    if(confirm('Are you sure you want to delete this row?'))  {
        document.getElementById('delAction').value = 'Delete';
        document.getElementById('delMudID').value = document.getElementById(repeatID+'CIRC_MED_ID').value;
        document.getElementById('delDPID').value = document.getElementById('DRLNG_PLN_ID').value;
        var evt = window.event;
        var sourceComponent = null;
        if ((evt != null) && (typeof(evt) != 'undefined'))
        {
            sourceComponent = (evt.target) ? evt.target : evt.srcElement;
            if (sourceComponent.nodeType == 3) // defeat Safari bug
            sourceComponent = sourceComponent.parentNode;
        }
        var objAction = {name: 'Action', option: 'Action', value: 'loadMud.do'};
        var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent};
        var objSourceGroup = {name: 'SourceGroup', option: 'PageGroup', value: 'deleteGroup'};
        var objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppgMudTable'};
        var objValidate = {name: 'Validate', option: 'Static', value: 'false'};

        hyf.FMAction.handleAjaxSubmission(objAction, objSourceGroup, objTargetGroup, objValidate, objEventSource);
    }
}